API Referenceapipatient-graphPUT /v1/patients/{id}/intake-response

PUT /v1/patients/\{id\}/intake-response

Service: patient-graph · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Request body

{
  "type": "object",
  "properties": {
    "brand_id": {
      "type": "string",
      "minLength": 1
    },
    "questionnaire_version": {
      "type": "string",
      "minLength": 1,
      "default": "contraindications-v1"
    },
    "status": {
      "type": "string",
      "minLength": 1,
      "default": "submitted"
    },
    "responses": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "brand_id",
    "responses"
  ]
}

Responses

200 Intake response stored

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "patient_id": {
      "type": "string"
    },
    "brand_id": {
      "type": "string"
    },
    "questionnaire_version": {
      "type": "string"
    },
    "status": {
      "type": "string"
    },
    "responses": {
      "type": "object",
      "additionalProperties": {}
    },
    "submitted_at": {
      "type": "string"
    },
    "created_at": {
      "type": "string"
    },
    "updated_at": {
      "type": "string"
    }
  },
  "required": [
    "id",
    "patient_id",
    "brand_id",
    "questionnaire_version",
    "status",
    "responses",
    "submitted_at",
    "created_at",
    "updated_at"
  ]
}

500 Internal error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X PUT https://patient-graph.platform.loop.health/v1/patients/{id}/intake-response \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'